﻿$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$stop_application = if (Get-Process -Name TweetDuck -ErrorAction SilentlyContinue) {$false} else {$true}

$PackageArgs = @{
  PackageName   = $PackageName
  UnzipLocation = $InstallDir
  FileType      = 'exe'
  Url           = "https://github.com/chylex/TweetDuck/releases/download/1.2.2/TweetDuck.exe"

  SoftwareName  = 'tweetduck*'

  Checksum      = "2a4aa8b1cf1c6928d746dd72dc96a76bf3fc7e808fee272ec5c3faf5fea665f6d890463f563def36fd0f38dd8b93f58231f01786c80efb1d894f3739a0622053"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}


if ($stop_application -and (Get-Process -Name TweetDuck -ErrorAction SilentlyContinue)) {
    Stop-Process -processname TweetDuck
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Write-Host "$PackageName registered as $App"